www.cendio.com
Bug 5738 - Web Access does not support changing Desktop Name
: Web Access does not support changing Desktop Name
Status: CLOSED FIXED
: ThinLinc
Web Access
: trunk
: PC Unknown
: P2 Normal
: 4.11.0
Assigned To:
:
:
: 7365
:
  Show dependency treegraph
 
Reported: 2015-12-03 10:57 by
Modified: 2019-10-10 12:50 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2015-12-03 10:57:46
When starting, the HTML5 client reads the desktop name (as set by vncconfig
-set desktop="name") and places it into the document title and the top bar.

When using the native client, any changes to the desktop name will update the
window title.

When using the HTML5 client, any changes to the desktop name will be ignored.
------- Comment #1 From cendio 2015-12-03 11:10:07 -------
When bug 4751 was implemented, the name was only considered on client
initialization. The HTML5 client doesn't have support for the DesktopName
pseudo-encoding yet.
------- Comment #2 From cendio 2015-12-03 11:14:07 -------
(In reply to comment #1)
> When bug 4751 was implemented, the name was only considered on client
> initialization. The HTML5 client doesn't have support for the DesktopName
> pseudo-encoding yet.

In the initialization phase the server sends a "name associated with the
desktop" which is the only thing used at the moment.
------- Comment #3 From cendio 2019-09-04 15:32:25 -------
Now implemented in upstream:

https://github.com/novnc/noVNC/pull/1289
------- Comment #5 From cendio 2019-10-08 15:56:50 -------
Fixed in noVNC vendor drop.

Verified in nightly build using server on rhel7 and client on fedora with
Firefox 69.0.1.
------- Comment #6 From cendio 2019-10-10 12:50:48 -------
Tested and verified this on a client using fedora with Firefox 69.0.1 and
Chrome 77.0.3865.90 on a server running rhel7.